Bug 181429 - [PATCH] update net/liveMedia to 2013.08.16
[PATCH] update net/liveMedia to 2013.08.16
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 14:30 UTC by c.petrik.sosa
Modified: 2013-08-20 21:19 UTC (History)
0 users

See Also:


Attachments
file.diff (862 bytes, patch)
2013-08-20 14:30 UTC, c.petrik.sosa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description c.petrik.sosa 2013-08-20 14:30:00 UTC
Update liveMedia to latest dated release 2013.08.16

Fix: Patch attached with submission follows:
Comment 1 dfilter freebsd_committer 2013-08-20 20:57:19 UTC
Author: wg
Date: Tue Aug 20 19:57:06 2013
New Revision: 325072
URL: http://svnweb.freebsd.org/changeset/ports/325072

Log:
  net/liveMedia: update to 2013.08.16
  
  - Update to 2013.08.16 [1]
  - Unmute install commands
  
  PR:		ports/181429 [1]
  Submitted by:	Chris Petrik <c.petrik.sosa@gmail.com> (maintainer)

Modified:
  head/net/liveMedia/Makefile
  head/net/liveMedia/distinfo

Modified: head/net/liveMedia/Makefile
==============================================================================
--- head/net/liveMedia/Makefile	Tue Aug 20 19:46:35 2013	(r325071)
+++ head/net/liveMedia/Makefile	Tue Aug 20 19:57:06 2013	(r325072)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	liveMedia
-PORTVERSION=	2013.04.30
+PORTVERSION=	2013.08.16
 PORTEPOCH=	2
 CATEGORIES=	net devel
 MASTER_SITES=	http://www.live555.com/liveMedia/public/ \
@@ -227,35 +227,35 @@ post-build:
 	@${CAT} ${.CURDIR}/pkg-plist >> ${PLIST}
 
 pre-su-install:
-	@${INSTALL_DATADIR} ${PREFIX}/live
-	@${INSTALL_DATADIR} ${PREFIX}/live/groupsock
-	@${INSTALL_DATADIR} ${PREFIX}/live/liveMedia
-	@${INSTALL_DATADIR} ${PREFIX}/live/UsageEnvironment
-	@${INSTALL_DATADIR} ${PREFIX}/live/BasicUsageEnvironment
-	@${INSTALL_DATADIR} ${PREFIX}/live/groupsock/include
-	@${INSTALL_DATADIR} ${PREFIX}/live/liveMedia/include
-	@${INSTALL_DATADIR} ${PREFIX}/live/UsageEnvironment/include
-	@${INSTALL_DATADIR} ${PREFIX}/live/BasicUsageEnvironment/include
+	${INSTALL_DATADIR} ${PREFIX}/live
+	${INSTALL_DATADIR} ${PREFIX}/live/groupsock
+	${INSTALL_DATADIR} ${PREFIX}/live/liveMedia
+	${INSTALL_DATADIR} ${PREFIX}/live/UsageEnvironment
+	${INSTALL_DATADIR} ${PREFIX}/live/BasicUsageEnvironment
+	${INSTALL_DATADIR} ${PREFIX}/live/groupsock/include
+	${INSTALL_DATADIR} ${PREFIX}/live/liveMedia/include
+	${INSTALL_DATADIR} ${PREFIX}/live/UsageEnvironment/include
+	${INSTALL_DATADIR} ${PREFIX}/live/BasicUsageEnvironment/include
 
 do-install:
-	@${INSTALL_PROGRAM} ${WRKSRC}/testProgs/playSIP  ${PREFIX}/bin/
-	@${INSTALL_PROGRAM} ${WRKSRC}/testProgs/openRTSP ${PREFIX}/bin/
-	@${INSTALL_PROGRAM} ${WRKSRC}/testProgs/sapWatch ${PREFIX}/bin/
-	@${INSTALL_DATA} ${WRKSRC}/BasicUsageEnvironment/libBasicUsageEnvironment.a ${PREFIX}/live/BasicUsageEnvironment/
-	@${INSTALL_DATA} ${WRKSRC}/UsageEnvironment/libUsageEnvironment.a           ${PREFIX}/live/UsageEnvironment/
-	@${INSTALL_DATA} ${WRKSRC}/groupsock/libgroupsock.a                         ${PREFIX}/live/groupsock/
-	@${INSTALL_DATA} ${WRKSRC}/liveMedia/libliveMedia.a                         ${PREFIX}/live/liveMedia/
+	${INSTALL_PROGRAM} ${WRKSRC}/testProgs/playSIP  ${PREFIX}/bin/
+	${INSTALL_PROGRAM} ${WRKSRC}/testProgs/openRTSP ${PREFIX}/bin/
+	${INSTALL_PROGRAM} ${WRKSRC}/testProgs/sapWatch ${PREFIX}/bin/
+	${INSTALL_DATA} ${WRKSRC}/BasicUsageEnvironment/libBasicUsageEnvironment.a ${PREFIX}/live/BasicUsageEnvironment/
+	${INSTALL_DATA} ${WRKSRC}/UsageEnvironment/libUsageEnvironment.a           ${PREFIX}/live/UsageEnvironment/
+	${INSTALL_DATA} ${WRKSRC}/groupsock/libgroupsock.a                         ${PREFIX}/live/groupsock/
+	${INSTALL_DATA} ${WRKSRC}/liveMedia/libliveMedia.a                         ${PREFIX}/live/liveMedia/
 .for file in ${BasicUsageEnvironment}
-	@${INSTALL_DATA} ${WRKSRC}/${file} ${PREFIX}/live/BasicUsageEnvironment/include/
+	${INSTALL_DATA} ${WRKSRC}/${file} ${PREFIX}/live/BasicUsageEnvironment/include/
 .endfor
 .for file in ${UsageEnvironment}
-	@${INSTALL_DATA} ${WRKSRC}/${file} ${PREFIX}/live/UsageEnvironment/include/
+	${INSTALL_DATA} ${WRKSRC}/${file} ${PREFIX}/live/UsageEnvironment/include/
 .endfor
 .for file in ${groupsock}
-	@${INSTALL_DATA} ${WRKSRC}/${file} ${PREFIX}/live/groupsock/include/
+	${INSTALL_DATA} ${WRKSRC}/${file} ${PREFIX}/live/groupsock/include/
 .endfor
 .for file in ${liveMedia}
-	@${INSTALL_DATA} ${WRKSRC}/${file} ${PREFIX}/live/liveMedia/include/
+	${INSTALL_DATA} ${WRKSRC}/${file} ${PREFIX}/live/liveMedia/include/
 .endfor
 
 post-install:

Modified: head/net/liveMedia/distinfo
==============================================================================
--- head/net/liveMedia/distinfo	Tue Aug 20 19:46:35 2013	(r325071)
+++ head/net/liveMedia/distinfo	Tue Aug 20 19:57:06 2013	(r325072)
@@ -1,2 +1,2 @@
-SHA256 (live.2013.04.30.tar.gz) = e549af608c9961d85cb647bc3b99804fec0fbaf5338c1b72d057558ae5cd2aea
-SIZE (live.2013.04.30.tar.gz) = 579390
+SHA256 (live.2013.08.16.tar.gz) = cb0f2f553629606e0fb9b479883fe7cd87308d9bd3e3f8e846c906711c64aa89
+SIZE (live.2013.08.16.tar.gz) = 577715
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 William Grzybowski freebsd_committer 2013-08-20 21:19:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 3 William Grzybowski freebsd_committer 2013-08-20 21:19:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!